<template>
  <div class="favorites-section trunk">
    <h2 class="favorites-sections-title heading--lg heading--primary">
      {{ data.title }}
    </h2>
    <div class="section-items">
      <FavoritesSectionItem
        v-for="(item, index) of data.items"
        :key="`fav-item-${index}`"
        class="items"
        :item="item"
        :position="index + 1"
      />
    </div>
  </div>
</template>

<script>
import FavoritesSectionItem from '~/components/sections/FavoritesSectionItem'

export default {
  components: {
    FavoritesSectionItem
  },
  props: {
    data: {
      type: Object,
      required: true
    }
  },

  mounted() {
    this.updateGtmData()
  },

  methods: {
    updateGtmData() {
      if (process.client) {
        // push album impression events
        if (this.data.items) {
          const impressions = []

          this.data.items.forEach((album, ind) => {
            impressions.push(
              this.$utils.gtmAdvEcommerceCreateProductImpression(
                album.albumTitle,
                album.albumId,
                '',
                '',
                'Album',
                this.data.title,
                ind + 1
              )
            )
          })

          if (impressions.length) {
            this.$utils.gtmAdvEcommercePushProductImpressions(impressions)
          }
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.favorites-section {
  margin-bottom: 36px;

  .favorites-sections-title {
    margin-bottom: 1rem;
  }

  .section-items {
    display: flex;

    @media (max-width: 768px) {
      flex-direction: column;
    }

    .items {
      flex: 1;
    }

    @media (min-width: 769px) {
      div:nth-child(odd) {
        padding-right: 0.5rem;
      }

      div:nth-child(even) {
        padding-left: 0.5rem;
      }
    }
  }
}
</style>
